ENBLEND(1)

NAME
enblend - combine images using a multiresolution spline

SYNOPSIS
enblend [options] [--output=IMAGE] INPUT...

DESCRIPTION
Blend INPUT images into a single IMAGE.

INPUT... are image filenames or response filenames. Response filenames start with an "@" character.

OPTIONS

  Common options:

-l, --levels=LEVELS
    limit number of blending LEVELS to use (1 to 29); negative number of LEVELS decreases maximum; "auto" restores the default automatic maximization

-o, --output=FILE
    write output to FILE; default: "a.tif"

-v, --verbose[=LEVEL]
    verbosely report progress; repeat to increase verbosity or directly set to LEVEL

--compression=COMPRESSION
    set compression of output image to COMPRESSION, where COMPRESSION is: "deflate", "jpeg", "lzw", "none", "packbits", for TIFF files and 0 to 100, or "jpeg", "jpeg-arith" for JPEG files, where "jpeg" and "jpeg-arith" accept a compression level

  Advanced options:

--blend-colorspace=COLORSPACE
    force COLORSPACE for blending operations; Enblend uses "CIELUV" for images with ICC-profile and "IDENTITY" for those without and also for all floating-point images; other available blend color spaces are "CIELAB" and "CIECAM"

-c, --ciecam
    use CIECAM02 to blend colors; disable with "--no-ciecam"; note that this option will be withdrawn in favor of "--blend-colorspace"

-d, --depth=DEPTH
    set the number of bits per channel of the output image, where DEPTH is "8", "16", "32", "r32", or "r64"

-f WIDTHxHEIGHT[+xXOFFSET+yYOFFSET]
    manually set the size and position of the output image; useful for cropped and shifted input TIFF images, such as those produced by Nona

-g  associated-alpha hack for Gimp (before version 2) and Cinepaint

-w, --wrap[=MODE]
    wrap around image boundary, where MODE is "none", "horizontal", "vertical", or "both"; default: none; without argument the option selects horizontal wrapping

  Mask generation options:

--coarse-mask[=FACTOR] shrink overlap regions by FACTOR to speedup mask
    generation; this is the default; if omitted FACTOR defaults to 8

--fine-mask
    generate mask at full image resolution; use e.g. if overlap regions are very narrow

--optimize
    turn on mask optimization; this is the default; disable with "--no-optimize"

--save-masks[=TEMPLATE]
    save generated masks in TEMPLATE; default: "mask-%n.tif"; conversion chars: "%i": mask index, "%n": mask number, "%p": full path, "%d": dirname, "%b": basename, "%f": filename, "%e": extension; lowercase characters refer to input images uppercase to the output image

--load-masks[=TEMPLATE]
    use existing masks in TEMPLATE instead of generating them; same template characters as "--save-masks"; default: "mask-%n.tif"

--visualize[=TEMPLATE] save results of optimizer in TEMPLATE; same template
    characters as "--save-masks"; default: "vis-%n.tif"

  Expert options:

-a, --pre-assemble
    pre-assemble non-overlapping images; negate with "--no-pre-assemble"

-x  checkpoint partial results

--fallback-profile=PROFILE-FILE
    use the ICC profile from PROFILE-FILE instead of sRGB

--layer-selector=ALGORITHM
    set the layer selector ALGORITHM; default: "all-layers"; available algorithms are: "all-layers": select all layers in any image; "first-layer": select only first layer in each (multi-)layer image; "last-layer": select only last layer in each (multi-)layer image; "largest-layer": select largest layer in each (multi-)layer image; "no-layer": do not select any layer from any image;

--parameter=KEY1[=VALUE1][:KEY2[=VALUE2][:...]]
    set one or more KEY-VALUE pairs

  Expert mask generation options:

--primary-seam-generator=ALGORITHM
    use main seam finder ALGORITHM, where ALGORITHM is "nearest-feature-transform" or "graph-cut"; default: "graph-cut"

--image-difference=ALGORITHM[:LUMINANCE-WEIGHT[:CHROMINANCE-WEIGHT]]
    use ALGORITHM for calculation of the difference image, where ALGORITHM is "max-hue-luminance" or "delta-e"; LUMINANCE-WEIGHT and CHROMINANCE-WEIGHT define the weights of lightness and color; default: delta-e:1:1

--optimizer-weights=DISTANCE-WEIGHT[:MISMATCH-WEIGHT]
    set the optimizer's weigths for distance and mismatch; default: 8:1

--mask-vectorize=LENGTH
    set LENGTH of single seam segment; append "%" for relative value; defaults: 4 for coarse masks and 20 for fine masks

--anneal=TAU[:DELTAE-MAX[:DELTAE-MIN[:K-MAX]]]
    set annealing parameters of optimizer strategy 1; defaults: 0.75:7000:5:32

--dijkstra=RADIUS
    set search RADIUS of optimizer strategy 2; default: 25 pixels

  Information options:

-h, --help
    print this help message and exit

-V, --version
    output version information and exit

--show-globbing-algorithms
    show all globbing algorithms

--show-image-formats
    show all recognized image formats and their filename extensions

--show-signature
    show who compiled the binary when and on which machine

--show-software-components
    show the software components with which Enblend was compiled

Enblend accepts arguments to any option in uppercase as well as in lowercase letters.

ENVIRONMENT

OMP_NUM_THREADS
    The OMP_NUM_THREADS environment variable sets the number of threads to use in OpenMP parallel regions. If unset Enblend uses as many threads as there are CPUs.

OMP_DYNAMIC
    The OMP_DYNAMIC environment variable controls dynamic adjustment of the number of threads to use in executing OpenMP parallel regions.

AUTHOR
Written by Andrew Mihal, Christoph Spiel and others.

REPORTING BUGS
Report bugs at <https://bugs.launchpad.net/enblend>.

COPYRIGHT
Copyright © 2004-2009 Andrew Mihal.
Copyright © 2009-2016 Christoph Spiel.

License GPLv2+: GNU GPL version 2 or later <http://www.gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.